<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EntitySearchBasic StructType
 * @subpackage Structs
 */
class EntitySearchBasic extends SearchRecordBasic
{
    /**
     * The address
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $address;
    /**
     * The addressee
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $addressee;
    /**
     * The addressLabel
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $addressLabel;
    /**
     * The addressPhone
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $addressPhone;
    /**
     * The attention
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $attention;
    /**
     * The city
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $city;
    /**
     * The comments
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $comments;
    /**
     * The country
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchEnumMultiSelectField
     */
    public $country;
    /**
     * The county
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $county;
    /**
     * The dateCreated
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $dateCreated;
    /**
     * The defaultTaxReg
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $defaultTaxReg;
    /**
     * The defaultTaxRegText
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $defaultTaxRegText;
    /**
     * The email
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $email;
    /**
     * The entityId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $entityId;
    /**
     * The externalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $externalId;
    /**
     * The externalIdString
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $externalIdString;
    /**
     * The fax
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $fax;
    /**
     * The giveAccess
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $giveAccess;
    /**
     * The globalSubscriptionStatus
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchEnumMultiSelectField
     */
    public $globalSubscriptionStatus;
    /**
     * The image
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $image;
    /**
     * The internalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $internalId;
    /**
     * The internalIdNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $internalIdNumber;
    /**
     * The isDefaultBilling
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $isDefaultBilling;
    /**
     * The isDefaultShipping
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $isDefaultShipping;
    /**
     * The isInactive
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $isInactive;
    /**
     * The language
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchEnumMultiSelectField
     */
    public $language;
    /**
     * The lastModifiedDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $lastModifiedDate;
    /**
     * The level
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchEnumMultiSelectField
     */
    public $level;
    /**
     * The permission
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchEnumMultiSelectField
     */
    public $permission;
    /**
     * The phone
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $phone;
    /**
     * The phoneticName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $phoneticName;
    /**
     * The state
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $state;
    /**
     * The subsidiary
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $subsidiary;
    /**
     * The type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchEnumMultiSelectField
     */
    public $type;
    /**
     * The zipCode
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $zipCode;
    /**
     * The customFieldList
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchCustomFieldList
     */
    public $customFieldList;
    /**
     * Constructor method for EntitySearchBasic
     * @uses EntitySearchBasic::setAddress()
     * @uses EntitySearchBasic::setAddressee()
     * @uses EntitySearchBasic::setAddressLabel()
     * @uses EntitySearchBasic::setAddressPhone()
     * @uses EntitySearchBasic::setAttention()
     * @uses EntitySearchBasic::setCity()
     * @uses EntitySearchBasic::setComments()
     * @uses EntitySearchBasic::setCountry()
     * @uses EntitySearchBasic::setCounty()
     * @uses EntitySearchBasic::setDateCreated()
     * @uses EntitySearchBasic::setDefaultTaxReg()
     * @uses EntitySearchBasic::setDefaultTaxRegText()
     * @uses EntitySearchBasic::setEmail()
     * @uses EntitySearchBasic::setEntityId()
     * @uses EntitySearchBasic::setExternalId()
     * @uses EntitySearchBasic::setExternalIdString()
     * @uses EntitySearchBasic::setFax()
     * @uses EntitySearchBasic::setGiveAccess()
     * @uses EntitySearchBasic::setGlobalSubscriptionStatus()
     * @uses EntitySearchBasic::setImage()
     * @uses EntitySearchBasic::setInternalId()
     * @uses EntitySearchBasic::setInternalIdNumber()
     * @uses EntitySearchBasic::setIsDefaultBilling()
     * @uses EntitySearchBasic::setIsDefaultShipping()
     * @uses EntitySearchBasic::setIsInactive()
     * @uses EntitySearchBasic::setLanguage()
     * @uses EntitySearchBasic::setLastModifiedDate()
     * @uses EntitySearchBasic::setLevel()
     * @uses EntitySearchBasic::setPermission()
     * @uses EntitySearchBasic::setPhone()
     * @uses EntitySearchBasic::setPhoneticName()
     * @uses EntitySearchBasic::setState()
     * @uses EntitySearchBasic::setSubsidiary()
     * @uses EntitySearchBasic::setType()
     * @uses EntitySearchBasic::setZipCode()
     * @uses EntitySearchBasic::setCustomFieldList()
     * @param \StructType\SearchStringField $address
     * @param \StructType\SearchStringField $addressee
     * @param \StructType\SearchStringField $addressLabel
     * @param \StructType\SearchStringField $addressPhone
     * @param \StructType\SearchStringField $attention
     * @param \StructType\SearchStringField $city
     * @param \StructType\SearchStringField $comments
     * @param \StructType\SearchEnumMultiSelectField $country
     * @param \StructType\SearchStringField $county
     * @param \StructType\SearchDateField $dateCreated
     * @param \StructType\SearchMultiSelectField $defaultTaxReg
     * @param \StructType\SearchStringField $defaultTaxRegText
     * @param \StructType\SearchStringField $email
     * @param \StructType\SearchStringField $entityId
     * @param \StructType\SearchMultiSelectField $externalId
     * @param \StructType\SearchStringField $externalIdString
     * @param \StructType\SearchStringField $fax
     * @param \StructType\SearchBooleanField $giveAccess
     * @param \StructType\SearchEnumMultiSelectField $globalSubscriptionStatus
     * @param \StructType\SearchStringField $image
     * @param \StructType\SearchMultiSelectField $internalId
     * @param \StructType\SearchLongField $internalIdNumber
     * @param \StructType\SearchBooleanField $isDefaultBilling
     * @param \StructType\SearchBooleanField $isDefaultShipping
     * @param \StructType\SearchBooleanField $isInactive
     * @param \StructType\SearchEnumMultiSelectField $language
     * @param \StructType\SearchDateField $lastModifiedDate
     * @param \StructType\SearchEnumMultiSelectField $level
     * @param \StructType\SearchEnumMultiSelectField $permission
     * @param \StructType\SearchStringField $phone
     * @param \StructType\SearchStringField $phoneticName
     * @param \StructType\SearchStringField $state
     * @param \StructType\SearchMultiSelectField $subsidiary
     * @param \StructType\SearchEnumMultiSelectField $type
     * @param \StructType\SearchStringField $zipCode
     * @param \StructType\SearchCustomFieldList $customFieldList
     */
    public function __construct(\StructType\SearchStringField $address = null, \StructType\SearchStringField $addressee = null, \StructType\SearchStringField $addressLabel = null, \StructType\SearchStringField $addressPhone = null, \StructType\SearchStringField $attention = null, \StructType\SearchStringField $city = null, \StructType\SearchStringField $comments = null, \StructType\SearchEnumMultiSelectField $country = null, \StructType\SearchStringField $county = null, \StructType\SearchDateField $dateCreated = null, \StructType\SearchMultiSelectField $defaultTaxReg = null, \StructType\SearchStringField $defaultTaxRegText = null, \StructType\SearchStringField $email = null, \StructType\SearchStringField $entityId = null, \StructType\SearchMultiSelectField $externalId = null, \StructType\SearchStringField $externalIdString = null, \StructType\SearchStringField $fax = null, \StructType\SearchBooleanField $giveAccess = null, \StructType\SearchEnumMultiSelectField $globalSubscriptionStatus = null, \StructType\SearchStringField $image = null, \StructType\SearchMultiSelectField $internalId = null, \StructType\SearchLongField $internalIdNumber = null, \StructType\SearchBooleanField $isDefaultBilling = null, \StructType\SearchBooleanField $isDefaultShipping = null, \StructType\SearchBooleanField $isInactive = null, \StructType\SearchEnumMultiSelectField $language = null, \StructType\SearchDateField $lastModifiedDate = null, \StructType\SearchEnumMultiSelectField $level = null, \StructType\SearchEnumMultiSelectField $permission = null, \StructType\SearchStringField $phone = null, \StructType\SearchStringField $phoneticName = null, \StructType\SearchStringField $state = null, \StructType\SearchMultiSelectField $subsidiary = null, \StructType\SearchEnumMultiSelectField $type = null, \StructType\SearchStringField $zipCode = null, \StructType\SearchCustomFieldList $customFieldList = null)
    {
        $this
            ->setAddress($address)
            ->setAddressee($addressee)
            ->setAddressLabel($addressLabel)
            ->setAddressPhone($addressPhone)
            ->setAttention($attention)
            ->setCity($city)
            ->setComments($comments)
            ->setCountry($country)
            ->setCounty($county)
            ->setDateCreated($dateCreated)
            ->setDefaultTaxReg($defaultTaxReg)
            ->setDefaultTaxRegText($defaultTaxRegText)
            ->setEmail($email)
            ->setEntityId($entityId)
            ->setExternalId($externalId)
            ->setExternalIdString($externalIdString)
            ->setFax($fax)
            ->setGiveAccess($giveAccess)
            ->setGlobalSubscriptionStatus($globalSubscriptionStatus)
            ->setImage($image)
            ->setInternalId($internalId)
            ->setInternalIdNumber($internalIdNumber)
            ->setIsDefaultBilling($isDefaultBilling)
            ->setIsDefaultShipping($isDefaultShipping)
            ->setIsInactive($isInactive)
            ->setLanguage($language)
            ->setLastModifiedDate($lastModifiedDate)
            ->setLevel($level)
            ->setPermission($permission)
            ->setPhone($phone)
            ->setPhoneticName($phoneticName)
            ->setState($state)
            ->setSubsidiary($subsidiary)
            ->setType($type)
            ->setZipCode($zipCode)
            ->setCustomFieldList($customFieldList);
    }
    /**
     * Get address value
     * @return \StructType\SearchStringField|null
     */
    public function getAddress()
    {
        return $this->address;
    }
    /**
     * Set address value
     * @param \StructType\SearchStringField $address
     * @return \StructType\EntitySearchBasic
     */
    public function setAddress(\StructType\SearchStringField $address = null)
    {
        $this->address = $address;
        return $this;
    }
    /**
     * Get addressee value
     * @return \StructType\SearchStringField|null
     */
    public function getAddressee()
    {
        return $this->addressee;
    }
    /**
     * Set addressee value
     * @param \StructType\SearchStringField $addressee
     * @return \StructType\EntitySearchBasic
     */
    public function setAddressee(\StructType\SearchStringField $addressee = null)
    {
        $this->addressee = $addressee;
        return $this;
    }
    /**
     * Get addressLabel value
     * @return \StructType\SearchStringField|null
     */
    public function getAddressLabel()
    {
        return $this->addressLabel;
    }
    /**
     * Set addressLabel value
     * @param \StructType\SearchStringField $addressLabel
     * @return \StructType\EntitySearchBasic
     */
    public function setAddressLabel(\StructType\SearchStringField $addressLabel = null)
    {
        $this->addressLabel = $addressLabel;
        return $this;
    }
    /**
     * Get addressPhone value
     * @return \StructType\SearchStringField|null
     */
    public function getAddressPhone()
    {
        return $this->addressPhone;
    }
    /**
     * Set addressPhone value
     * @param \StructType\SearchStringField $addressPhone
     * @return \StructType\EntitySearchBasic
     */
    public function setAddressPhone(\StructType\SearchStringField $addressPhone = null)
    {
        $this->addressPhone = $addressPhone;
        return $this;
    }
    /**
     * Get attention value
     * @return \StructType\SearchStringField|null
     */
    public function getAttention()
    {
        return $this->attention;
    }
    /**
     * Set attention value
     * @param \StructType\SearchStringField $attention
     * @return \StructType\EntitySearchBasic
     */
    public function setAttention(\StructType\SearchStringField $attention = null)
    {
        $this->attention = $attention;
        return $this;
    }
    /**
     * Get city value
     * @return \StructType\SearchStringField|null
     */
    public function getCity()
    {
        return $this->city;
    }
    /**
     * Set city value
     * @param \StructType\SearchStringField $city
     * @return \StructType\EntitySearchBasic
     */
    public function setCity(\StructType\SearchStringField $city = null)
    {
        $this->city = $city;
        return $this;
    }
    /**
     * Get comments value
     * @return \StructType\SearchStringField|null
     */
    public function getComments()
    {
        return $this->comments;
    }
    /**
     * Set comments value
     * @param \StructType\SearchStringField $comments
     * @return \StructType\EntitySearchBasic
     */
    public function setComments(\StructType\SearchStringField $comments = null)
    {
        $this->comments = $comments;
        return $this;
    }
    /**
     * Get country value
     * @return \StructType\SearchEnumMultiSelectField|null
     */
    public function getCountry()
    {
        return $this->country;
    }
    /**
     * Set country value
     * @param \StructType\SearchEnumMultiSelectField $country
     * @return \StructType\EntitySearchBasic
     */
    public function setCountry(\StructType\SearchEnumMultiSelectField $country = null)
    {
        $this->country = $country;
        return $this;
    }
    /**
     * Get county value
     * @return \StructType\SearchStringField|null
     */
    public function getCounty()
    {
        return $this->county;
    }
    /**
     * Set county value
     * @param \StructType\SearchStringField $county
     * @return \StructType\EntitySearchBasic
     */
    public function setCounty(\StructType\SearchStringField $county = null)
    {
        $this->county = $county;
        return $this;
    }
    /**
     * Get dateCreated value
     * @return \StructType\SearchDateField|null
     */
    public function getDateCreated()
    {
        return $this->dateCreated;
    }
    /**
     * Set dateCreated value
     * @param \StructType\SearchDateField $dateCreated
     * @return \StructType\EntitySearchBasic
     */
    public function setDateCreated(\StructType\SearchDateField $dateCreated = null)
    {
        $this->dateCreated = $dateCreated;
        return $this;
    }
    /**
     * Get defaultTaxReg value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getDefaultTaxReg()
    {
        return $this->defaultTaxReg;
    }
    /**
     * Set defaultTaxReg value
     * @param \StructType\SearchMultiSelectField $defaultTaxReg
     * @return \StructType\EntitySearchBasic
     */
    public function setDefaultTaxReg(\StructType\SearchMultiSelectField $defaultTaxReg = null)
    {
        $this->defaultTaxReg = $defaultTaxReg;
        return $this;
    }
    /**
     * Get defaultTaxRegText value
     * @return \StructType\SearchStringField|null
     */
    public function getDefaultTaxRegText()
    {
        return $this->defaultTaxRegText;
    }
    /**
     * Set defaultTaxRegText value
     * @param \StructType\SearchStringField $defaultTaxRegText
     * @return \StructType\EntitySearchBasic
     */
    public function setDefaultTaxRegText(\StructType\SearchStringField $defaultTaxRegText = null)
    {
        $this->defaultTaxRegText = $defaultTaxRegText;
        return $this;
    }
    /**
     * Get email value
     * @return \StructType\SearchStringField|null
     */
    public function getEmail()
    {
        return $this->email;
    }
    /**
     * Set email value
     * @param \StructType\SearchStringField $email
     * @return \StructType\EntitySearchBasic
     */
    public function setEmail(\StructType\SearchStringField $email = null)
    {
        $this->email = $email;
        return $this;
    }
    /**
     * Get entityId value
     * @return \StructType\SearchStringField|null
     */
    public function getEntityId()
    {
        return $this->entityId;
    }
    /**
     * Set entityId value
     * @param \StructType\SearchStringField $entityId
     * @return \StructType\EntitySearchBasic
     */
    public function setEntityId(\StructType\SearchStringField $entityId = null)
    {
        $this->entityId = $entityId;
        return $this;
    }
    /**
     * Get externalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getExternalId()
    {
        return $this->externalId;
    }
    /**
     * Set externalId value
     * @param \StructType\SearchMultiSelectField $externalId
     * @return \StructType\EntitySearchBasic
     */
    public function setExternalId(\StructType\SearchMultiSelectField $externalId = null)
    {
        $this->externalId = $externalId;
        return $this;
    }
    /**
     * Get externalIdString value
     * @return \StructType\SearchStringField|null
     */
    public function getExternalIdString()
    {
        return $this->externalIdString;
    }
    /**
     * Set externalIdString value
     * @param \StructType\SearchStringField $externalIdString
     * @return \StructType\EntitySearchBasic
     */
    public function setExternalIdString(\StructType\SearchStringField $externalIdString = null)
    {
        $this->externalIdString = $externalIdString;
        return $this;
    }
    /**
     * Get fax value
     * @return \StructType\SearchStringField|null
     */
    public function getFax()
    {
        return $this->fax;
    }
    /**
     * Set fax value
     * @param \StructType\SearchStringField $fax
     * @return \StructType\EntitySearchBasic
     */
    public function setFax(\StructType\SearchStringField $fax = null)
    {
        $this->fax = $fax;
        return $this;
    }
    /**
     * Get giveAccess value
     * @return \StructType\SearchBooleanField|null
     */
    public function getGiveAccess()
    {
        return $this->giveAccess;
    }
    /**
     * Set giveAccess value
     * @param \StructType\SearchBooleanField $giveAccess
     * @return \StructType\EntitySearchBasic
     */
    public function setGiveAccess(\StructType\SearchBooleanField $giveAccess = null)
    {
        $this->giveAccess = $giveAccess;
        return $this;
    }
    /**
     * Get globalSubscriptionStatus value
     * @return \StructType\SearchEnumMultiSelectField|null
     */
    public function getGlobalSubscriptionStatus()
    {
        return $this->globalSubscriptionStatus;
    }
    /**
     * Set globalSubscriptionStatus value
     * @param \StructType\SearchEnumMultiSelectField $globalSubscriptionStatus
     * @return \StructType\EntitySearchBasic
     */
    public function setGlobalSubscriptionStatus(\StructType\SearchEnumMultiSelectField $globalSubscriptionStatus = null)
    {
        $this->globalSubscriptionStatus = $globalSubscriptionStatus;
        return $this;
    }
    /**
     * Get image value
     * @return \StructType\SearchStringField|null
     */
    public function getImage()
    {
        return $this->image;
    }
    /**
     * Set image value
     * @param \StructType\SearchStringField $image
     * @return \StructType\EntitySearchBasic
     */
    public function setImage(\StructType\SearchStringField $image = null)
    {
        $this->image = $image;
        return $this;
    }
    /**
     * Get internalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getInternalId()
    {
        return $this->internalId;
    }
    /**
     * Set internalId value
     * @param \StructType\SearchMultiSelectField $internalId
     * @return \StructType\EntitySearchBasic
     */
    public function setInternalId(\StructType\SearchMultiSelectField $internalId = null)
    {
        $this->internalId = $internalId;
        return $this;
    }
    /**
     * Get internalIdNumber value
     * @return \StructType\SearchLongField|null
     */
    public function getInternalIdNumber()
    {
        return $this->internalIdNumber;
    }
    /**
     * Set internalIdNumber value
     * @param \StructType\SearchLongField $internalIdNumber
     * @return \StructType\EntitySearchBasic
     */
    public function setInternalIdNumber(\StructType\SearchLongField $internalIdNumber = null)
    {
        $this->internalIdNumber = $internalIdNumber;
        return $this;
    }
    /**
     * Get isDefaultBilling value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIsDefaultBilling()
    {
        return $this->isDefaultBilling;
    }
    /**
     * Set isDefaultBilling value
     * @param \StructType\SearchBooleanField $isDefaultBilling
     * @return \StructType\EntitySearchBasic
     */
    public function setIsDefaultBilling(\StructType\SearchBooleanField $isDefaultBilling = null)
    {
        $this->isDefaultBilling = $isDefaultBilling;
        return $this;
    }
    /**
     * Get isDefaultShipping value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIsDefaultShipping()
    {
        return $this->isDefaultShipping;
    }
    /**
     * Set isDefaultShipping value
     * @param \StructType\SearchBooleanField $isDefaultShipping
     * @return \StructType\EntitySearchBasic
     */
    public function setIsDefaultShipping(\StructType\SearchBooleanField $isDefaultShipping = null)
    {
        $this->isDefaultShipping = $isDefaultShipping;
        return $this;
    }
    /**
     * Get isInactive value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIsInactive()
    {
        return $this->isInactive;
    }
    /**
     * Set isInactive value
     * @param \StructType\SearchBooleanField $isInactive
     * @return \StructType\EntitySearchBasic
     */
    public function setIsInactive(\StructType\SearchBooleanField $isInactive = null)
    {
        $this->isInactive = $isInactive;
        return $this;
    }
    /**
     * Get language value
     * @return \StructType\SearchEnumMultiSelectField|null
     */
    public function getLanguage()
    {
        return $this->language;
    }
    /**
     * Set language value
     * @param \StructType\SearchEnumMultiSelectField $language
     * @return \StructType\EntitySearchBasic
     */
    public function setLanguage(\StructType\SearchEnumMultiSelectField $language = null)
    {
        $this->language = $language;
        return $this;
    }
    /**
     * Get lastModifiedDate value
     * @return \StructType\SearchDateField|null
     */
    public function getLastModifiedDate()
    {
        return $this->lastModifiedDate;
    }
    /**
     * Set lastModifiedDate value
     * @param \StructType\SearchDateField $lastModifiedDate
     * @return \StructType\EntitySearchBasic
     */
    public function setLastModifiedDate(\StructType\SearchDateField $lastModifiedDate = null)
    {
        $this->lastModifiedDate = $lastModifiedDate;
        return $this;
    }
    /**
     * Get level value
     * @return \StructType\SearchEnumMultiSelectField|null
     */
    public function getLevel()
    {
        return $this->level;
    }
    /**
     * Set level value
     * @param \StructType\SearchEnumMultiSelectField $level
     * @return \StructType\EntitySearchBasic
     */
    public function setLevel(\StructType\SearchEnumMultiSelectField $level = null)
    {
        $this->level = $level;
        return $this;
    }
    /**
     * Get permission value
     * @return \StructType\SearchEnumMultiSelectField|null
     */
    public function getPermission()
    {
        return $this->permission;
    }
    /**
     * Set permission value
     * @param \StructType\SearchEnumMultiSelectField $permission
     * @return \StructType\EntitySearchBasic
     */
    public function setPermission(\StructType\SearchEnumMultiSelectField $permission = null)
    {
        $this->permission = $permission;
        return $this;
    }
    /**
     * Get phone value
     * @return \StructType\SearchStringField|null
     */
    public function getPhone()
    {
        return $this->phone;
    }
    /**
     * Set phone value
     * @param \StructType\SearchStringField $phone
     * @return \StructType\EntitySearchBasic
     */
    public function setPhone(\StructType\SearchStringField $phone = null)
    {
        $this->phone = $phone;
        return $this;
    }
    /**
     * Get phoneticName value
     * @return \StructType\SearchStringField|null
     */
    public function getPhoneticName()
    {
        return $this->phoneticName;
    }
    /**
     * Set phoneticName value
     * @param \StructType\SearchStringField $phoneticName
     * @return \StructType\EntitySearchBasic
     */
    public function setPhoneticName(\StructType\SearchStringField $phoneticName = null)
    {
        $this->phoneticName = $phoneticName;
        return $this;
    }
    /**
     * Get state value
     * @return \StructType\SearchStringField|null
     */
    public function getState()
    {
        return $this->state;
    }
    /**
     * Set state value
     * @param \StructType\SearchStringField $state
     * @return \StructType\EntitySearchBasic
     */
    public function setState(\StructType\SearchStringField $state = null)
    {
        $this->state = $state;
        return $this;
    }
    /**
     * Get subsidiary value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getSubsidiary()
    {
        return $this->subsidiary;
    }
    /**
     * Set subsidiary value
     * @param \StructType\SearchMultiSelectField $subsidiary
     * @return \StructType\EntitySearchBasic
     */
    public function setSubsidiary(\StructType\SearchMultiSelectField $subsidiary = null)
    {
        $this->subsidiary = $subsidiary;
        return $this;
    }
    /**
     * Get type value
     * @return \StructType\SearchEnumMultiSelectField|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param \StructType\SearchEnumMultiSelectField $type
     * @return \StructType\EntitySearchBasic
     */
    public function setType(\StructType\SearchEnumMultiSelectField $type = null)
    {
        $this->type = $type;
        return $this;
    }
    /**
     * Get zipCode value
     * @return \StructType\SearchStringField|null
     */
    public function getZipCode()
    {
        return $this->zipCode;
    }
    /**
     * Set zipCode value
     * @param \StructType\SearchStringField $zipCode
     * @return \StructType\EntitySearchBasic
     */
    public function setZipCode(\StructType\SearchStringField $zipCode = null)
    {
        $this->zipCode = $zipCode;
        return $this;
    }
    /**
     * Get customFieldList value
     * @return \StructType\SearchCustomFieldList|null
     */
    public function getCustomFieldList()
    {
        return $this->customFieldList;
    }
    /**
     * Set customFieldList value
     * @param \StructType\SearchCustomFieldList $customFieldList
     * @return \StructType\EntitySearchBasic
     */
    public function setCustomFieldList(\StructType\SearchCustomFieldList $customFieldList = null)
    {
        $this->customFieldList = $customFieldList;
        return $this;
    }
}
